Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes | Protected Member Functions
VariableRounds< D, N, M > Class Template Reference

to be inherited by ciphers with variable number of rounds More...

`#include <seckey.h>`

List of all members.

## Static Public Member Functions

static unsigned int | StaticGetDefaultRounds (size_t keylength)

## Static Public Attributes

static const int | DEFAULT_ROUNDS = D
static const int | MIN_ROUNDS = N
static const int | MAX_ROUNDS = M

## Protected Member Functions

void | ThrowIfInvalidRounds (int rounds, const Algorithm *alg)
unsigned int | GetRoundsAndThrowIfInvalid (const NameValuePairs &param, const Algorithm *alg)

## Detailed Description

### template<unsigned int D, unsigned int N = 1, unsigned int M = INT_MAX>
class VariableRounds< D, N, M >

to be inherited by ciphers with variable number of rounds

Definition at line 39 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h